=== debian/changelog ===
numpy (1:1.21.5-1ubuntu22.04.1) jammy-security; urgency=medium

  * SECURITY UPDATE: buffer overflow vulnerability
    - debian/patches/CVE-2021-41496.patch: f2py: Simplify creation of an
      exception message.
    - CVE-2021-41496
  * SECURITY UPDATE: insecure string comparison in descriptor.c
    - debian/patches/CVE-2021-34141.patch: Remove deprecated numeric style
      dtype strings
    - CVE-2021-34141
  * SECURITY UPDATE: null pointer dereference vulnerability
    - debian/patches/CVE-2021-41495.patch: review return values for
      PyArray_DescrNew
    - CVE-2021-41495

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 02 Dec 2022 17:52:07 +0530

numpy (1:1.21.5-1build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:21:42 +0100

numpy (1:1.21.5-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:51:12 +0000

numpy (1:1.21.5-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - dont compress woff, woff2, and ico files; Closes: #1001518
  * debian/{dh_numpy3.1, README.DebianMaints}
    - properly document dh_numpy3, patch by Julian Gilbey; Closes: #1000566

 -- Sandro Tosi <morph@debian.org>  Mon, 20 Dec 2021 00:57:37 -0500

numpy (1:1.21.4-2) unstable; urgency=medium

  [ Dan Bungert ]
  * Packaging changes for compatibility with python 3.10; Closes: #999812

  [ Sandro Tosi ]
  * stop building -dbg package; Closes: #994316
  * debian/python3-numpy.install
    - simplify numpy module installation, as suggested by Drew Parsons
  * upload to unstable; Closes: #995318

 -- Sandro Tosi <morph@debian.org>  Fri, 19 Nov 2021 23:39:08 -0500

numpy (1:1.21.4-1) experimental; urgency=medium

  * New upstream release
  * debian/control
    - bump Standards-Version to 4.6.0.1 (no changes needed)
  * debian/patches/PR20179.patch
    - drop patch, merged upstream

 -- Sandro Tosi <morph@debian.org>  Wed, 10 Nov 2021 01:04:21 -0500

numpy (1:1.21.2-3) experimental; urgency=medium

  * debian/python3-numpy.install
    - install typing submodule; Closes: #998109

 -- Sandro Tosi <morph@debian.org>  Fri, 05 Nov 2021 01:08:43 -0400

numpy (1:1.21.2-2) experimental; urgency=medium

  * debian/patches/PR20179.patch
    - fix a failure on armhf when running tests

 -- Sandro Tosi <morph@debian.org>  Sun, 24 Oct 2021 00:52:29 -0400

numpy (1:1.21.2-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on gfortran.
    + python3-numpy: Drop versioned constraint on gcc in Suggests.
    + python3-numpy: Drop versioned constraint on python3-aplpy,
      python3-astropy, python3-ccdproc, python3-dask, python3-skimage,
      python3-tables and python3-theano in Breaks.

  [ Sandro Tosi ]
  * New upstream release
  * debian/watch
    - track github releases
  * debian/copyright
    - update upstream copyright notices
  * debian/patches
    - refresh patches
  * debian/control
    - merge b-d-i into b-d
    - bump b-d on cython3 to >= 0.29.24
    - bump b-d on pydata-sphinx-theme to >= 0.7.1
  * debian/patches/setup-py-accept-config.patch
    - allow setup.py config
  * debian/rules
    - set GITVER when building doc
    - also set PYTHONPATH when running tests, this allows those spawning a
      separate interpreter to still use the newly built module

 -- Sandro Tosi <morph@debian.org>  Sat, 23 Oct 2021 17:32:00 -0400

numpy (1:1.20.2-1) experimental; urgency=medium

  * New upstream release
  * debian/copyright
    - update upstream copyright years
    - remove notice for doc/scipy-sphinx-theme, dropped upstream
    - remove notice for doc/sphinxext, dropped upstream
  * debian/control
    - add numpydoc to b-d, needed by doc

 -- Sandro Tosi <morph@debian.org>  Sat, 03 Apr 2021 13:01:26 -0400

numpy (1:1.20.0-1) experimental; urgency=medium

  * New upstream release
  * debian/patches
    - refresh patches
  * debian/control
    - add pydata-sphinx-theme and pandas-doc to b-d, needed by doc
  * debian/versions
    - update for new Numpy API 14
  * debian/copyright
    - updates for new upstream code

 -- Sandro Tosi <morph@debian.org>  Fri, 02 Apr 2021 01:54:06 -0400
