=== debian/tests/control ===
Tests: python3
Depends: build-essential, python3-numpy, python3-all, python3-pytest, python3-tz, python3-hypothesis

#needs root for update-alternatives
Tests: openblas
Restrictions: needs-root
Depends: python3-numpy, python3-all, python3-pytest, python3-tz, libopenblas-base, dpkg-dev, gcc, python3-hypothesis

#needs root for update-alternatives
Tests: atlas
Restrictions: needs-root
Depends: python3-numpy, python3-all, python3-pytest, python3-tz, libatlas3-base, dpkg-dev, gcc, python3-hypothesis

Tests: f2py
Depends: build-essential, gfortran, python3-numpy, python3-all, python3-all-dev

Tests: distutils
Restrictions: allow-stderr
Depends: build-essential, libfftw3-dev, python3-numpy, python3-distutils

Tests: capi
Depends: build-essential, python3-all-dev, python3-numpy
