## numpy 1.22.3

=== debian/changelog ===
numpy (1:1.22.3-1) jammy; urgency=medium

  * Boundary rebuild for jammy

 -- Laci Tele <laci@boundarydevices.com>  Sun, 10 Dec 2023 08:39:54 -0800

numpy (1:1.22.1-1) experimental; urgency=medium

  * New upstream release
  * debian/rules
    - install dh_numpy3 manpage
  * Install numpy.i SWIG interface in /usr/include/python3.x/numpy in the main
    package, instead of -doc; Closes: #1000678
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright information
  * refresh patches
  * debian/control
    - add doxygen, breathe, and sphinx-panels to b-d, needed by doc
    - bump b-d on python3-hypothesis to >= 6.35.0
  * debian/versions
    - bump API version
  * debian/patches/PR20695.patch, debian/rules
    - temporarily disable SVML

 -- Sandro Tosi <morph@debian.org>  Tue, 18 Jan 2022 01:30:22 -0500
