=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: numpy
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: cython3 (>= 0.29.24),
                debhelper-compat (= 11),
                dh-python,
+               doxygen <!nodoc>,
                dvisvgm,
                gfortran,
                libblas-dev [!arm !m68k],
@@ -17,8 +17,9 @@
                python-scipy-doc <!nodoc>,
                python-skimage-doc <!nodoc>,
                python3-all-dev,
+               python3-breathe <!nodoc>,
                python3-doc <!nodoc>,
-               python3-hypothesis (>= 5.19.1) <!nocheck>,
+               python3-hypothesis (>= 6.35.0) <!nocheck>,
                python3-ipython <!nodoc>,
                python3-matplotlib <!nodoc>,
                python3-numpydoc <!nodoc>,
@@ -28,6 +29,7 @@
                python3-scipy <!nodoc>,
                python3-setuptools,
                python3-sphinx (>= 2) <!nodoc>,
+               python3-sphinx-panels <!nodoc>,
                python3-tz <!nocheck>,
                texlive-latex-base <!nodoc>,
                texlive-latex-extra <!nodoc>,
