=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 # compat to 9
 unexport LDFLAGS
 export ATLAS=None
+
+# https://github.com/numpy/numpy/pull/20695
+export NPY_DISABLE_SVML=1
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
@@ -33,14 +36,8 @@
 	# cython generated
 	rm -f numpy/random/mtrand/mtrand.c
 
-#override_dh_installman:
-#	dh_installman -ppython3-numpy doc/f2py/f2py.1
-#	-mv debian/python3-numpy/usr/share/man/man1/f2py.1 \
-#	  debian/python3-numpy/usr/share/man/man1/f2py3.1
-#	# link manpage for versioned incarnations of f2py
-#	set -e; for v in $(PY3VERS); do \
-#		dh_link -ppython3-numpy /usr/share/man/man1/f2py3.1.gz /usr/share/man/man1/f2py$$v.1.gz; \
-#	done
+override_dh_installman:
+	dh_installman -ppython3-numpy debian/dh_numpy3.1
 
 override_dh_python3:
 	dh_python3
@@ -64,6 +61,9 @@
 	done
 	cp -a debian/tmp/usr/bin/f2py$(PY3DEF) debian/tmp/usr/bin/f2py3
 	sed -i "1s,#!.*python[^ ]*\(.*\),#!/usr/bin/python3," debian/tmp/usr/bin/f2py3
+
+	# install numpy.i into the include directory
+	cp -a tools/swig/numpy.i debian/tmp/usr/lib/python3/dist-packages/numpy/core/include/numpy
 
 	dh_install
