## numpy 1.23.5

=== debian/changelog ===
numpy (1:1.23.5-2) unstable; urgency=medium

  * upload to unstable

 -- Sandro Tosi <morph@debian.org>  Mon, 12 Dec 2022 18:21:15 -0500

numpy (1:1.23.5-1) experimental; urgency=medium

  * New upstream release
  * debian/watch
    - track releases via GitHub APIs
  * debian/patches
    - refresh/disable patches
  * debian/tests/control
    - replace libopenblas-base (transitional pkg, now removed) with
      libopenblas0; Closes: #1024439
  * debian/edit_console_scripts.py, debian/rules
    - add a new helper script to edit console_scripts section of
      entry_points.txt

 -- Sandro Tosi <morph@debian.org>  Thu, 08 Dec 2022 01:57:30 -0500

numpy (1:1.23.3-1) experimental; urgency=medium

  * New upstream release
  * debian/rules
    - set SETUPTOOLS_USE_DISTUTILS=stdlib to ensure compatibility with
      setuptools >= 60.0.0; Thanks to Jochen Sprickerhof

 -- Sandro Tosi <morph@debian.org>  Thu, 03 Nov 2022 23:33:17 -0400

numpy (1:1.23.2-1) experimental; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Mon, 15 Aug 2022 00:30:33 -0400

numpy (1:1.23.1-1) experimental; urgency=medium

  * New upstream release
  * debian/watch
    - track github releases (containing extra files like SVML), not tags
  * debian/control
    - bump versioned b-d on cython3 to >= 0.29.30
    - add typing-extensions to b-d, needed by tests
  * debian/patches/
    - refresh/drop patches
  * debian/rules
    - enable SVML, available by using the github release tarball
  * debian/patches/docs_disable_switcher_version.patch
    - disable switcher_version theme, until we can build a more recent version
      of pydata-sphinx-theme
  * debian/versions3.helper
    - update to modern python3, and better error messages
  * debian/versions
    - bump API version to 16
  * debian/rules
    - rework how we run tests at build time
  * debian/tests
    - adjustments to autopkgtests for new upstream code

 -- Sandro Tosi <morph@debian.org>  Thu, 11 Aug 2022 00:43:08 -0400

numpy (1:1.21.5-2) unstable; urgency=medium

  [ Stefano Rivera]
  * Team upload.

  [ Sandro Tosi ]
  * debian/rules
    - set SETUPTOOLS_USE_DISTUTILS=stdlib to ensure compatibility with
      setuptools >= 60.0.0; Thanks to Jochen Sprickerhof; Closes: #1020135

  [ Graham Inggs ]
  * Use `Py_SET_TYPE` macro instead of assigning to `Py_TYPE` for
    compatibility with Python 3.11.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 11 Nov 2022 21:03:10 +0200
