=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>,
-Build-Depends: cython3 (>= 0.29.24),
+Build-Depends: cython3 (>= 0.29.30),
                debhelper-compat (= 11),
                dh-python,
                doxygen <!nodoc>,
@@ -30,6 +30,7 @@
                python3-setuptools,
                python3-sphinx (>= 2) <!nodoc>,
                python3-sphinx-panels <!nodoc>,
+               python3-typing-extensions (>= 4.2.0) <!nocheck>,
                python3-tz <!nocheck>,
                texlive-latex-base <!nodoc>,
                texlive-latex-extra <!nodoc>,
