=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,13 @@
 PY3DEF=$(shell py3versions -dv)
 PY3LIBPATH := $(shell python3 -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_platlib)")
 
+# for setuptools >= 60.0.0 compatibility
+export SETUPTOOLS_USE_DISTUTILS=stdlib
+
 # Look at #634012 to understand why is needed and what will happen if we set
 # compat to 9
 unexport LDFLAGS
 export ATLAS=None
-
-# https://github.com/numpy/numpy/pull/20695
-export NPY_DISABLE_SVML=1
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
@@ -43,14 +43,11 @@
 	dh_python3
 
 	ENTRYPOINT=non-existant
-	# tweak the entry_points list to include all supported versions
+	# tweak the entry_points console_scripts list to include all supported versions
 	if [ -f $(CURDIR)/debian/python3-numpy/usr/lib/python3/dist-packages/numpy-*.egg-info/entry_points.txt ] ; then \
 		ENTRYPOINT=$(shell ls $(CURDIR)/debian/python3-numpy/usr/lib/python3/dist-packages/numpy-*.egg-info/entry_points.txt) ; \
 		for v in $(PY3VERS); do \
-			if ! grep $$v $$ENTRYPOINT; \
-			then \
-				echo "f2py$$v = numpy.f2py.f2py2e:main" >> $$ENTRYPOINT ; \
-			fi; \
+			python3 debian/edit_console_scripts.py $$ENTRYPOINT "f2py$$v" "numpy.f2py.f2py2e:main" ; \
 		done \
 	fi
 
@@ -104,11 +101,10 @@
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	echo "TEST STARTED" `date`
 	set -e; for v in $(PY3VERS) ; do \
-		cd debian ; \
-		export PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/ ; \
+		cd $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/ ; \
 		echo "-- running tests for "$$v" plain --" ; \
-		python$$v -c "import sys ; sys.path.insert(0, './tmp/usr/lib/python3/dist-packages/') ; import numpy; numpy.test(verbose=5)" ; \
-		cd .. ; \
+		python$$v -c 'import numpy; numpy.test(verbose=5, extra_argv=["--ignore=numpy/core/tests/test_mem_policy.py", "-k not test_limited_api and not test_gen_pyf_no_overwrite and not test_max_rows_empty_lines"])' ; \
+		cd $(CURDIR) ; \
 	done
 	echo "TEST ENDED" `date`
 endif
