## numpy 1.24.1

=== debian/changelog ===
numpy (1:1.24.1-2) unstable; urgency=medium

  * upload to unstable; Closes: #1027581

 -- Sandro Tosi <morph@debian.org>  Sun, 08 Jan 2023 16:38:17 -0500

numpy (1:1.24.1-1) experimental; urgency=medium

  * New upstream release
  * debian/tests/
    - use py3versions --supported instead of --requested

 -- Sandro Tosi <morph@debian.org>  Mon, 26 Dec 2022 20:27:08 -0500

numpy (1:1.24.0-1) experimental; urgency=medium

  * New upstream release
  * debian/patches/
    - refresh patches
  * Stop building the -doc package; the cost of maintaining the build process
    and packaging more and more new packages is no longer sustainable, given the
    few users actually installing it.
  * debian/control
    - bump Standards-Version to 4.6.2.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Mon, 19 Dec 2022 01:28:04 -0500
