=== debian/changelog ===
numpy (1:1.24.2-1+deb12u1) bookworm; urgency=medium

  * Declare conflict with python-numpy due to f2py (Closes: #1053649)

 -- Timo Röhling <roehling@debian.org>  Sun, 05 May 2024 09:56:59 +0200

numpy (1:1.24.2-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Wed, 08 Feb 2023 22:54:23 -0500
