=== debian/control ===
Source: numpy
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: cython3 (>= 0.29.30),
               debhelper-compat (= 11),
               dh-python,
               dvisvgm,
               gfortran,
               libblas-dev [!arm !m68k],
               liblapack-dev [!arm !m68k],
               python3-all-dev,
               python3-hypothesis (>= 6.35.0) <!nocheck>,
               python3-pytest <!nocheck>,
               python3-scipy <!nocheck>,
               python3-setuptools,
               python3-typing-extensions (>= 4.2.0) <!nocheck>,
               python3-tz <!nocheck>,
Standards-Version: 4.6.2.0
Vcs-Git: https://salsa.debian.org/python-team/packages/numpy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/numpy
Homepage: http://www.numpy.org/

Package: python3-numpy
Architecture: any
Depends: python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Suggests: gcc,
          gfortran,
          python3-dev,
          python3-pytest,
Provides: dh-sequence-numpy3,
          python3-f2py,
          python3-numpy-dev,
          ${numpy3:Provides},
          ${python3:Provides},
Conflicts: python-numpy
Description: Fast array facility to the Python 3 language
 Numpy contains a powerful N-dimensional array object, sophisticated
 (broadcasting) functions, tools for integrating C/C++ and Fortran
 code, and useful linear algebra, Fourier transform, and random number
 capabilities.
 .
 Numpy replaces the python-numeric and python-numarray modules which are
 now deprecated and shouldn't be used except to support older
 software.
 .
 This package contains Numpy for Python 3.
