=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,6 @@
 	set -e; for v in $(PY3VERS); do \
 		python$$v setup.py build; \
 	done
-
-override_dh_auto_build-indep: override_dh_auto_build-arch
-	# build doc only for default python version
-	(export MPLCONFIGDIR=. ; make -C doc html PYTHON=python3 PYTHONPATH=../$(PY3LIBPATH) GITVER=Unknown)
 
 override_dh_auto_clean:
 	rm -rf build/
@@ -81,7 +77,6 @@
 
 override_dh_installdocs-indep:
 	dh_installdocs -i
-	dh_sphinxdoc -i
 
 override_dh_auto_test:
 	echo "pass"
