=== debian/watch ===
version=4
opts="searchmode=plain,filenamemangle=s/.+\/numpy-@ANY_VERSION@.tar.gz/@PACKAGE@-$1\.tar\.gz/" \
https://api.github.com/repos/numpy/numpy/releases  https://github.com/numpy/numpy/releases/download/v\d[\.\d]*/numpy-@ANY_VERSION@@ARCHIVE_EXT@
